GET/Orders/{orderId}
Returns one order in full: derived and declared status, source, notes, dates, billing and delivery details,
groups, resource lines with their needs and schedule blocks, expense lines, quote and invoice documents,
payments, totals, vendor, signals and revision state. The order id comes from Orders_GetOrders.
Path Parameters
| Field | Type | Required | Description |
|---|
| orderId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| status | string| null | |
| declaredStatus | string| null | |
| source | string| null | |
| internalNotes | string| null | |
| externalNotes | string| null | |
| signals | string[]| null | |
| vendor | GetOrderResponseVendorInfo | |
| billingInformation | GetOrderResponseBilling | |
| isDelivery | boolean | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| deliveryInformation | GetOrderResponseDelivery | |
| lineItemGroups | GetOrderResponseLineItemGroup[]| null | |
| lineItems | GetOrderResponseLineItem[]| null | |
| expenseLineItems | GetOrderResponseExpenseLineItem[]| null | |
| documents | GetOrderResponseDocument[]| null | |
| payments | GetOrderResponsePayment[]| null | |
| totals | GetOrderResponseOrderTotals | |
| version | GetOrderResponseVersionInfo | |
GetOrderResponseVendorInfo
| Field | Type | Description |
|---|
| collaboratorRecordId | uuid| null | |
| name | string| null | |
GetOrderResponseBilling
| Field | Type | Description |
|---|
| name | string| null | |
| company | string| null | |
| email | string| null | |
| phone | string| null | |
| address | string| null | |
| city | string| null | |
| state | string| null | |
| country | string| null | |
| postalCode | string| null | |
GetOrderResponseDelivery
| Field | Type | Description |
|---|
| name | string| null | |
| company | string| null | |
| email | string| null | |
| phone | string| null | |
| address | string| null | |
| city | string| null | |
| state | string| null | |
| country | string| null | |
| postalCode | string| null | |
GetOrderResponseLineItemGroup
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| notes | string| null | |
| index | integer | |
| isDelivery | boolean | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| deliveryInformation | GetOrderResponseDelivery | |
GetOrderResponseLineItem
| Field | Type | Description |
|---|
| id | uuid | |
| index | integer | |
| showScheduleDetail | boolean | |
| quantity | number | |
| estimatedCost | number | |
| resource | GetOrderResponseLineItemProcResource | |
| lineItemGroupId | uuid| null | |
GetOrderResponseExpenseLineItem
| Field | Type | Description |
|---|
| id | uuid | |
| index | integer | |
| description | string| null | |
| quantity | number | |
| unitAmount | number | |
| lineTotal | number | |
| lineItemGroupId | uuid| null | |
| expense | GetOrderResponseExpenseLineItemExpenseInfo | |
| isPossibleDuplicate | boolean | |
GetOrderResponseDocument
| Field | Type | Description |
|---|
| id | uuid | |
| type | string| null | |
| pricingLevel | string| null | |
| sourceCollaboratorRecordId | uuid| null | |
| enteredSubtotal | number | |
| subtotal | number | |
| total | number | |
| expenseContribution | number | |
| fileId | uuid| null | |
| receivedDate | date-time| null | |
| isChosen | boolean | |
| adjustments | GetOrderResponseDocumentAdjustment[]| null | |
| groups | GetOrderResponseDocumentLineGroup[]| null | |
| lines | GetOrderResponseDocumentLine[]| null | |
GetOrderResponsePayment
| Field | Type | Description |
|---|
| id | uuid | |
| orderDocumentId | uuid| null | |
| amount | number | |
| date | date-time | |
| method | string| null | |
| reference | string| null | |
GetOrderResponseOrderTotals
| Field | Type | Description |
|---|
| estimated | number | |
| quoted | number | |
| fulfilled | number | |
| fulfilledBasis | string| null | |
| invoiced | number | |
| paid | number | |
| outstanding | number | |
| expectedTotal | number| null | |
| expectedTotalBasis | string| null | |
GetOrderResponseVersionInfo
| Field | Type | Description |
|---|
| latestId | uuid| null | |
| latestNumber | integer | |
| latestStatus | string| null | |
| hasUnsentRevision | boolean | |
| isPayloadLocked | boolean | |
| latestSentId | uuid| null | |
| latestSentNumber | integer| null | |
GetOrderResponseLineItemProcResource
| Field | Type | Description |
|---|
| procurementId | uuid | |
| id | uuid | |
| cloneGroupId | uuid| null | |
| type | GetOrderResponseLineItemProcResourceResourceType | |
| properties | GetOrderResponseLineItemProcResourceProperty[]| null | |
| scheduleBlocks | GetOrderResponseLineItemProcResourceScheduleBlock[]| null | |
GetOrderResponseExpenseLineItemExpenseInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| payee | GetOrderResponseExpenseLineItemExpenseInfoPayeeInfo | |
GetOrderResponseDocumentAdjustment
| Field | Type | Description |
|---|
| type | string| null | |
| label | string| null | |
| amount | number | |
GetOrderResponseDocumentLineGroup
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| subtotal | number | |
| index | integer | |
GetOrderResponseDocumentLine
| Field | Type | Description |
|---|
| id | uuid | |
| index | integer | |
| description | string| null | |
| quantity | number | |
| unitPrice | number | |
| lineTotal | number | |
| orderDocumentLineGroupId | uuid| null | |
| procurementResourceId | uuid| null | |
| kind | string| null | |
GetOrderResponseLineItemProcResourceResourceType
| Field | Type | Description |
|---|
| id | uuid | |
| label | string| null | |
| icon | string| null | |
| lineItemLabel | string| null | |
GetOrderResponseLineItemProcResourceProperty
| Field | Type | Description |
|---|
| id | uuid | |
| resourceAttributeId | uuid | |
| value | string| null | |
GetOrderResponseLineItemProcResourceScheduleBlock
| Field | Type | Description |
|---|
| id | uuid | |
| type | GetOrderResponseLineItemProcResourceScheduleBlockScheduleBlockTypeInfo | |
| name | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time | |
| notes | string| null | |
| area | GetOrderResponseLineItemProcResourceScheduleBlockAreaInfo| null | |
| collaboratorId | uuid| null | |
GetOrderResponseExpenseLineItemExpenseInfoPayeeInfo
| Field | Type | Description |
|---|
| type | string| null | |
| id | uuid| null | |